package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;


public class KonsepDiriVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectPasienDaftarFk")
	@NotNull(message="PasienDaftar Harus Diisi")
	@Caption(value="PasienDaftar")
	private AntrianPasienDiPeriksaVO pasienDaftar;
	
	@Column(name = "ObjectPasienDaftarFk", insertable=false,updatable=false, nullable=false)
	private String pasienDaftarId;

	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;
	
	@ManyToOne
	@JoinColumn(name = "ObjectLamaTidurFk")
	@NotNull(message="Object LamaTidur Harus Diisi")
	@Caption(value="Object Lama Tidur")
	private StatusNormalTidakNormalVO gambaranDiri;

	public AntrianPasienDiPeriksaVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public StatusNormalTidakNormalVO getGambaranDiri() {
		return gambaranDiri;
	}

	public void setGambaranDiri(StatusNormalTidakNormalVO gambaranDiri) {
		this.gambaranDiri = gambaranDiri;
	}

	
}
